import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePoultryScienceExpertsAllPoultryService = createAsyncThunk(
  "PROVINCE_POULTRY_SCIENCE_EXPERTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "get-all-poultry-for-poultry-science/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const provincePoultryScienceExpertsEditPoultryService = createAsyncThunk(
  "PROVINCE_POLICY_UPDATE_LIMITATIONS_EDIT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put("poultry_science/0/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
